companiesUpdate a company if found. To call this, you need to have edit contact right of 090300.

Update a company if found. To call this, you need to have edit contact right of 090300.

curl -X PATCH "https://api.example.com/restapi/v1/companies/123" \
  -H "Content-Type: application/json"
[
  {
    "id": 123,
    "name": "John Doe",
    "name2": "John Doe",
    "contactCategoriesId": [
      123
    ],
    "email": "user@example.com",
    "defaultAddress": [
      {
        "id": 123,
        "addressType": 42,
        "parentContact": "example_string",
        "parentContactId": 123,
        "isDefault": true,
        "position": "example_string",
        "department": "example_string",
        "street": "example_string",
        "houseNumber": "example_string",
        "addition": "example_string",
        "zip": "example_string",
        "city": "New York",
        "state": "example_string",
        "country": "USA",
        "emails": [
          {
            "id": 123,
            "email": "user@example.com"
          }
        ],
        "phones": [
          {
            "id": 123,
            "type": "example_string",
            "countryCode": "USA",
            "areaCode": "example_string",
            "number": "example_string"
          }
        ]
      }
    ],
    "defaultPhone": {
      "id": 123,
      "type": "example_string",
      "countryCode": "USA",
      "areaCode": "example_string",
      "number": "example_string"
    },
    "defaultFax": {
      "id": 123,
      "type": "example_string",
      "countryCode": "USA",
      "areaCode": "example_string",
      "number": "example_string"
    },
    "defaultMobile": {
      "id": 123,
      "type": "example_string",
      "countryCode": "USA",
      "areaCode": "example_string",
      "number": "example_string"
    },
    "allAddress": [
      {
        "id": 123,
        "addressType": 42,
        "parentContact": "example_string",
        "parentContactId": 123,
        "isDefault": true,
        "position": "example_string",
        "department": "example_string",
        "street": "example_string",
        "houseNumber": "example_string",
        "addition": "example_string",
        "zip": "example_string",
        "city": "New York",
        "state": "example_string",
        "country": "USA",
        "emails": [
          {
            "id": 123,
            "email": "user@example.com"
          }
        ],
        "phones": [
          {
            "id": 123,
            "type": "example_string",
            "countryCode": "USA",
            "areaCode": "example_string",
            "number": "example_string"
          }
        ]
      }
    ]
  }
]
PATCH
/companies/{companyId}
PATCH
Base URLstring

Target server for requests. Edit to use your own host.

path
companyIdinteger
Required

ID of company that have to be update

Content-Typestring
Required

The media type of the request body

Options: application/json
No request body parameters defined
Request Preview
Response

Response will appear here after sending the request

Path Parameters

companyIdinteger
Required

ID of company that have to be update

Body

application/json
datastring
Required

Raw application/json data

Responses

idinteger
namestring
name2string
contactCategoriesIdinteger[]
emailstring
defaultAddressarray
defaultPhoneobject
defaultFaxobject
defaultMobileobject
allAddressarray